## vhd-ocaml 0.7.2

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=vhd-format
J=4

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure --enable-tests

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

uninstall:
	@ocamlfind remove $(NAME) || true

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
vhd-ocaml (0.7.2-1) UNRELEASED; urgency=low

  * Update to 0.7.2

 -- David Scott <dave.scott@citrix.com>  Thu, 02 Oct 2014 12:00:00 +0000

vhd-ocaml (0.7.0-1) UNRELEASED; urgency=low

  * Update to 0.7.0

 -- Euan Harris <euan.harris@citrix.com>  Tue, 01 Apr 2014 12:00:00 +0000

vhd-ocaml (0.6.4-1) UNRELEASED; urgency=low

  * Update to 0.6.4

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 21 Nov 2013 12:00:00 +0000

vhd-ocaml (0.6.1-1) UNRELEASED; urgency=low

  * Update to 0.6.1

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 30 Oct 2013 12:00:00 +0000

vhd-ocaml (0.6.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 02 Oct 2013 12:00:00 +0000

=== debian/control ===
Source: vhd-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 libuuidm-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 libmirage-types-ocaml-dev,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: vhd-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Pure OCaml library for reading, writing, streaming, converting vhd format files
 A pure OCaml parser and printer for vhd format data. The library
 allows vhd files to be read, written and streamed with on-the-fly
 format conversion.

Package: vhd-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 vhd-ocaml (>= 0.7.2-1),
 libcstruct-ocaml-dev,
 libio-page-ocaml-dev,
 liblwt-ocaml-dev,
 libounit-ocaml-dev,
 libmirage-types-ocaml-dev,
 libuuidm-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-vhd
 The ocaml-vhd-devel package contains libraries and signature files
 for developing applications that use ocaml-vhd.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/vhd-ocaml/usr/lib/ocaml/vhd-format/*.a
	rm -f debian/vhd-ocaml/usr/lib/ocaml/vhd-format/*.cmxa
	rm -f debian/vhd-ocaml/usr/lib/ocaml/vhd-format/*.cmx
	rm -f debian/vhd-ocaml/usr/lib/ocaml/vhd-format/*.ml
	rm -f debian/vhd-ocaml/usr/lib/ocaml/vhd-format/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
